header:
  version: 11

distro: poky-tiny

defaults:
  repos:
    refspec: kirkstone

repos:
  meta-arm:
    layers:
      meta-arm:
      meta-arm-bsp:
      meta-arm-toolchain:

  poky:
    url: https://git.yoctoproject.org/git/poky
    layers:
      meta:
      meta-poky:
      meta-yocto-bsp:

  meta-openembedded:
    url: https://git.openembedded.org/meta-openembedded
    layers:
      meta-oe:
      meta-python:

local_conf_header:
  base: |
    CONF_VERSION = "2"
    PACKAGE_CLASSES = "package_ipk"
    LICENSE_FLAGS_ACCEPTED += "armcompiler"
    BB_NUMBER_THREADS ?= "16"
    PARALLEL_MAKE ?= "-j16"
    PACKAGECONFIG:append:pn-perf = " coresight"

machine: unset

target:
  - corstone1000-image
